Subject: Re: bug#42304: 27.0.50; Emacs does not adjust to global font scaling anymore

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 31 Jul 2021 16:23:47 +0200

Robert Pluim <[email-masked]> writes:

>     >>> If I re-scale all fonts on my Gnome desktop with e.g.
>     >>> 
>     >>> dconf write /org/gnome/desktop/interface/text-scaling-factor 2.0
>     >>> 
>     >>> Emacs is the only application that does not change its font size
>     >>> accordingly.  Instead, I have to re-start Emacs.

I can reproduce this problem in Emacs 28.

> And if you run 'configure --without-harfbuzz' does the problem go
> away?

No, that has no effect.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no